=== scripts/Makefile ===

DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    bash-completion liquidsoap-mode.el extract-replaygain

top_srcdir = ..
include $(top_srcdir)/Makefile.rules
