=== tests/fixme/Makefile ===
DISTFILES = Makefile $(wildcard *.liq)

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules
