=== debian/changelog ===
liquidsoap (2.0.2-1build2) jammy; urgency=medium

  * No-change rebuild (LP: #1961024)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:31:24 -0500

liquidsoap (2.0.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:17:51 +0100

liquidsoap (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2 (Closes: #1002677)
  * Refresh d/patches
  * Update d/control with new build-dep versions
  * Update d/liquidsoap.links for new version
  * Update autopkgtests for new language features

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 11 Jan 2022 11:00:10 +0200
