=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
DEFAULT_FONT := /usr/share/fonts/truetype/liberation/LiberationMono-Regular.ttf

DEB_CONFIGURE_EXTRA_FLAGS := --with-default-font=$(DEFAULT_FONT)

export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig

%:
	dh $@ --with elpa,ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --with-default-font=$(DEFAULT_FONT)

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf
	$(MAKE) all doc

override_dh_auto_test:
	/bin/true

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	chrpath -d src/liquidsoap
	$(MAKE) install DESTDIR=$(DESTDIR) \
               prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
			   bashcompdir=$(DESTDIR)/usr/share/bash-completion/completions \
               INSTALL_DAEMON=no OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf autodoc aclocal.m4 src/META
	dh_clean
