=== debian/watch ===
version=4
opts=compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .*/liquidsoap.([\d.]+).tar.bz2
