=== debian/changelog ===
liquidsoap (2.0.6-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:57:07 +0000

liquidsoap (2.0.6-1) unstable; urgency=medium

  * Update d/watch to not track pre-releases
  * New upstream version 2.0.6

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 12 Jul 2022 20:28:17 +0200

liquidsoap (2.0.5-1) unstable; urgency=medium

  * Bump standards-version to 4.6.1 (no change)
  * New upstream version 2.0.5

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 17:18:40 +0200
